Bug 241600 - Netmap libraries far out of sync with utilities
Summary: Netmap libraries far out of sync with utilities
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.0-RELEASE
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-30 22:52 UTC by mike
Modified: 2019-11-05 18:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mike 2019-10-30 22:52:36 UTC
When trying to use the utilities from the netmap github respository https://github.com/luigirizzo/netmap/ there are a number of errors. looking through the source the netmap module that is compiled in the kernel and drivers is quite old (2016) compared to the repo, and there seem to be many breaking changes. I have tried compiling the tools by linking the versions in the kernel in source but have had no luck. The last working netmap application set I have working is commit 8c69a48711074113d0494da212ce7f8e32c4441b
Comment 1 mike 2019-11-05 18:00:21 UTC
Changing importance as anyone trying to run a multithreaded packet processing tool (IE bro) is going to have major issues.